uuid: 834d444f-b0b8-43e2-bdd0-3ceb3144b9b5
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_field
class: Drupal\migrate_drupal\Plugin\migrate\FieldMigration
field_plugin_method: alterFieldMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Configuration
migration_group: migrate_drupal_6
label: 'Field configuration'
source:
  plugin: d6_field
  constants:
    entity_type: node
    langcode: en
process:
  entity_type:
    -
      plugin: get
      source: constants/entity_type
  status:
    -
      plugin: get
      source: active
  langcode:
    -
      plugin: get
      source: constants/langcode
  field_name:
    -
      plugin: get
      source: field_name
  type:
    -
      plugin: field_type
      source:
        - type
        - widget_type
      map:
        userreference:
          userreference_select: entity_reference
          userreference_buttons: entity_reference
          userreference_autocomplete: entity_reference
        nodereference:
          nodereference_select: entity_reference
          nodereference: nodereference
        number_integer:
          number: integer
          optionwidgets_select: list_integer
          optionwidgets_buttons: list_integer
          optionwidgets_onoff: boolean
        number_decimal:
          number: decimal
          optionwidgets_select: list_float
          optionwidgets_buttons: list_float
          optionwidgets_onoff: boolean
        number_float:
          number: float
          optionwidgets_select: list_float
          optionwidgets_buttons: list_float
          optionwidgets_onoff: boolean
        email:
          email_textfield: email
        filefield:
          imagefield_widget: image
          filefield_widget: file
          filefield: filefield
        fr_phone:
          phone_textfield: telephone
        be_phone:
          phone_textfield: telephone
        it_phone:
          phone_textfield: telephone
        el_phone:
          phone_textfield: telephone
        ch_phone:
          phone_textfield: telephone
        ca_phone:
          phone_textfield: telephone
        cr_phone:
          phone_textfield: telephone
        pa_phone:
          phone_textfield: telephone
        gb_phone:
          phone_textfield: telephone
        ru_phone:
          phone_textfield: telephone
        ua_phone:
          phone_textfield: telephone
        es_phone:
          phone_textfield: telephone
        au_phone:
          phone_textfield: telephone
        cs_phone:
          phone_textfield: telephone
        hu_phone:
          phone_textfield: telephone
        pl_phone:
          phone_textfield: telephone
        nl_phone:
          phone_textfield: telephone
        se_phone:
          phone_textfield: telephone
        za_phone:
          phone_textfield: telephone
        il_phone:
          phone_textfield: telephone
        nz_phone:
          phone_textfield: telephone
        br_phone:
          phone_textfield: telephone
        cl_phone:
          phone_textfield: telephone
        cn_phone:
          phone_textfield: telephone
        hk_phone:
          phone_textfield: telephone
        mo_phone:
          phone_textfield: telephone
        ph_phone:
          phone_textfield: telephone
        sg_phone:
          phone_textfield: telephone
        jo_phone:
          phone_textfield: telephone
        eg_phone:
          phone_textfield: telephone
        pk_phone:
          phone_textfield: telephone
        int_phone:
          phone_textfield: telephone
        d6_text:
          d6_text: d6_text
        link:
          link: link
        datetime:
          datetime: datetime
  cardinality:
    -
      plugin: static_map
      bypass: true
      source: multiple
      map:
        - 1
        - -1
  settings:
    -
      plugin: field_settings
      source:
        - '@type'
        - global_settings
        - type
destination:
  plugin: 'entity:field_storage_config'
migration_dependencies:
  required: {  }
  optional: {  }
